

# ListAttributeGroupsForApplication
<a name="API_app-registry_ListAttributeGroupsForApplication"></a>

**Note**  
 Amazon Service Catalog AppRegistry will no longer be open to new customers starting July 30, 2026. If you would like to use AppRegistry, sign up prior to that date. Existing customers can continue to use the service as normal. For more information, see [Amazon Service Catalog AppRegistry availability change](https://docs.amazonaws.cn/servicecatalog/latest/arguide/app-registry-availability-change.html).

Lists the details of all attribute groups associated with a specific application. The results display in pages.

## Request Syntax
<a name="API_app-registry_ListAttributeGroupsForApplication_RequestSyntax"></a>

```
GET /applications/{{application}}/attribute-group-details?maxResults={{maxResults}}&nextToken={{nextToken}} HTTP/1.1
```

## URI Request Parameters
<a name="API_app-registry_ListAttributeGroupsForApplication_RequestParameters"></a>

The request uses the following URI parameters.

 ** [application](#API_app-registry_ListAttributeGroupsForApplication_RequestSyntax) **   <a name="servicecatalog-app-registry_ListAttributeGroupsForApplication-request-uri-application"></a>
The name or ID of the application.  
Length Constraints: Minimum length of 1. Maximum length of 256.  
Pattern: `([-.\w]+)|(arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/applications/[-.\w]+)`   
Required: Yes

 ** [maxResults](#API_app-registry_ListAttributeGroupsForApplication_RequestSyntax) **   <a name="servicecatalog-app-registry_ListAttributeGroupsForApplication-request-uri-maxResults"></a>
The upper bound of the number of results to return. The value cannot exceed 25. If you omit this parameter, it defaults to 25. This value is optional.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [nextToken](#API_app-registry_ListAttributeGroupsForApplication_RequestSyntax) **   <a name="servicecatalog-app-registry_ListAttributeGroupsForApplication-request-uri-nextToken"></a>
This token retrieves the next page of results after a previous API call.  
Length Constraints: Minimum length of 1. Maximum length of 2024.  
Pattern: `[A-Za-z0-9+/=]+` 

## Request Body
<a name="API_app-registry_ListAttributeGroupsForApplication_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_app-registry_ListAttributeGroupsForApplication_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "attributeGroupsDetails": [ 
      { 
         "arn": "string",
         "createdBy": "string",
         "id": "string",
         "name": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_app-registry_ListAttributeGroupsForApplication_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [attributeGroupsDetails](#API_app-registry_ListAttributeGroupsForApplication_ResponseSyntax) **   <a name="servicecatalog-app-registry_ListAttributeGroupsForApplication-response-attributeGroupsDetails"></a>
 The details related to a specific attribute group.   
Type: Array of [AttributeGroupDetails](API_app-registry_AttributeGroupDetails.md) objects

 ** [nextToken](#API_app-registry_ListAttributeGroupsForApplication_ResponseSyntax) **   <a name="servicecatalog-app-registry_ListAttributeGroupsForApplication-response-nextToken"></a>
The token to use to get the next page of results after a previous API call.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2024.  
Pattern: `[A-Za-z0-9+/=]+` 

## Errors
<a name="API_app-registry_ListAttributeGroupsForApplication_Errors"></a>

 ** InternalServerException **   
The service is experiencing internal problems.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.  
HTTP Status Code: 404

 ** ValidationException **   
The request has invalid or missing parameters.  
HTTP Status Code: 400

## See Also
<a name="API_app-registry_ListAttributeGroupsForApplication_SeeAlso"></a>

For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/AWS242AppRegistry-2020-06-24/ListAttributeGroupsForApplication) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/AWS242AppRegistry-2020-06-24/ListAttributeGroupsForApplication) 
+  [Amazon SDK for C\+\+](https://docs.amazonaws.cn/goto/SdkForCpp/AWS242AppRegistry-2020-06-24/ListAttributeGroupsForApplication) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/AWS242AppRegistry-2020-06-24/ListAttributeGroupsForApplication) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/AWS242AppRegistry-2020-06-24/ListAttributeGroupsForApplication) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/AWS242AppRegistry-2020-06-24/ListAttributeGroupsForApplication) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/AWS242AppRegistry-2020-06-24/ListAttributeGroupsForApplication) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/AWS242AppRegistry-2020-06-24/ListAttributeGroupsForApplication) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/AWS242AppRegistry-2020-06-24/ListAttributeGroupsForApplication) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/AWS242AppRegistry-2020-06-24/ListAttributeGroupsForApplication) 